Imports System.IO
Imports System.Net
Imports System.Text
Imports VBNetSample.ca.smsgateway

Public Class VBNetSample

    Private Sub btnSendWS_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSendWS.Click

        '***********************
        ' Make sure your project has a web reference to http:'smsgateway.ca/SendSMS.asmx?WSDL
        '***********************

        Dim SMSMessenger As New SendSMS()

        ' The recipient cell phone number. 
        ' In demo mode, this will be ignored - all messages will be sent to your cell number.
        Dim CellNumber As String = txtCellNumber.Text

        ' This is your unique account key which was emailed to you when you created your account.
        ' Don't have an account? Create one now at http://smsgateway.ca/users/createaccount.aspx
        Dim AccountKey As String = txtAccountKey.Text

        ' This is the body of the message you want to send. The maximum length is 160 characters.
        ' Messages greater than 160 characters will be broken up into multiple messages. 
        Dim MessageBody As String = txtMessage.Text

        ' The web service will return a string. If the string is "Message queued successfully" 
        ' then the call was successful. Otherwise, there was an error and the string will contain
        ' the error message. 
        Dim result As String = SMSMessenger.SendMessage(CellNumber, MessageBody, AccountKey)

        MessageBox.Show(result, "SMS Message", MessageBoxButtons.OK, MessageBoxIcon.Information)

    End Sub


    Private Sub linkLabel1_LinkClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles linkLabel1.LinkClicked

        System.Diagnostics.Process.Start("http://smsgateway.ca/users/createaccount.aspx")

    End Sub
End Class
